:host {
    display: block;
    padding: 10px;
    border-radius: 4px;

    p {
        margin-bottom: 0;
    }

    &.warn {
        background-color: rgba(255, 243, 205, 0.75);
        color: #856404;
        border: 1px solid #ffeeba;
    }

    &.info {
        background-color: rgba(209, 236, 241, 0.75);
        color: #0c5460;
        border: 1px solid #bee5eb;
    }

    &.error {
        background-color: rgba(248, 215, 218, 0.75);
        color: #721c24;
        border: 1px solid #f5c6cb;
    }

    &.success {
        background-color: rgba(212, 237, 218, 0.75);
        color: #155724;
        border: 1px solid #c3e6cb;
    }
}
